## org.eclipse.wst.validation
Class ValidationFramework.ResourceAdder

    java.lang.Object
      org.eclipse.wst.validation.ValidationFramework.ResourceAdder

Enclosing class:
  ValidationFramework

    public static class ValidationFramework.ResourceAdder

extends java.lang.Object

Constructor Summary
`ValidationFramework.ResourceAdder(java.util.Set<IResource> set)` A class that knows how to add resources to a set.

Method Summary
`boolean` `visit(IResource resource)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationFramework.ResourceAdder

    public ValidationFramework.ResourceAdder(java.util.Set<IResource> set)

  A class that knows how to add resources to a set.

  Parameters:
    `set` - the set where the resources are added.

Method Detail

### visit

    public boolean visit(IResource resource)
                  throws CoreException

  Throws:
    `CoreException`